//this dofile produces online appendix 11

clear 
clear matrix
set memory 700m
set more off
set matsize 1000
# delimit;

pwd;
cd "`c(pwd)'"; 

use ../../Public99/hhecon/dta/ar99_meta.dta, clear; 

** restrict to hindus;

keep if q10 == 1;



** drop women (n = 484) ; 

keep if sex == 1; 




** restrict to individuals whose family had land ; 

keep if fam_land_owner == 1;





winsor spacing, p(0.01) gen(spacing_win) ;

*generating sumstats;
mat t=J(100,40,.);

cap program drop line;
program define line;
syntax varlist, row(string) [absorb(passthru)];

	sum `varlist' ;
	mat t[`row',1]=r(mean);
	mat t[`row'+1,1]=r(sd);
	mat t[`row'+3,1]=r(N);

	
	xi: ivreg2 `varlist' (hh_inhet_land = pred_share_i) i.distfx i.fam_land_dummies 
	
	if  sibs == 2 , robust;
	
	mat t[`row',3]=_b[hh_inhet_land];
	mat t[`row'+1,3]=_se[hh_inhet_land];
	mat t[`row'+3,3] =e(N);

	
	xi: ivreg2 `varlist' (hh_inhet_land = pred_share_i)  i.distfx i.fam_land_dummies 
	
	if  sibs == 3 , robust;
	
	mat t[`row',5]=_b[hh_inhet_land];
	mat t[`row'+1,5]=_se[hh_inhet_land];
	mat t[`row'+3,5] =e(N);

	xi: ivreg2 `varlist' (hh_inhet_land = pred_share_i) i.distfx i.fam_land_dummies 
	
	if  sibs == 4 , robust;
	
	mat t[`row',7]=_b[hh_inhet_land];
	mat t[`row'+1,7]=_se[hh_inhet_land];
	mat t[`row'+3,7] =e(N);
	

	xi: ivreg2 `varlist' (hh_inhet_land = pred_share_i) i.distfx i.fam_land_dummies 
	
	if  sibs == 5  , robust;  
	
	mat t[`row',9]=_b[hh_inhet_land];
	mat t[`row'+1,9]=_se[hh_inhet_land];
	mat t[`row'+3,9] =e(N);
	
	
	xi: ivreg2 `varlist' (hh_inhet_land = pred_share_i)  i.distfx i.fam_land_dummies  i.sibs , robust;  
	
	mat t[`row',11]=_b[hh_inhet_land];
	mat t[`row'+1,11]=_se[hh_inhet_land];
	mat t[`row'+3,11] =e(N);
	
	
	
	

	
	
	
	
	
end;

//varnames & varlabel for sumstats

gen varnames="";
gen varlabs="";


local j=1; 

foreach x of varlist nonfarmer logcons {;


	line `x', row(`j');
	replace varnames = "`x'" in `j';
	local varlab: variable label `x';
	replace varlabs = "`varlab'" in `j';  
	local j = `j'+4;

};

lazystar, table(t) columns(1(2)29) coefs(30) rowgap(4) outsheet(../out/c4_final);


