//this dofile produces online appendix 15 (for consumption and occupational choice)


clear 
clear matrix
set memory 700m
set more off
set matsize 1000
# delimit;


pwd;
cd "`c(pwd)'"; 


use ../../Public99/hhecon/dta/ar99_meta.dta, clear; 


** restrict to hindus & muslims; 

keep if q10 == 1;


** drop women (n = 484) ; 

keep if sex == 1; 




** restrict to individuals whose family had land ; 

keep if fam_land_owner == 1;


** use plausexog code; 


* run for dummies; 

ivreg2 nonfarmer (hh_inhet_land = pred_share_i) i.sibs i.distfx i.fam_land_dummies, robust; 


*1. uci for nonfarmer; 


 local cat _Isibs_1-_Isibs_14  fam_land_dummies1-fam_land_dummies7;


plausexog uci nonfarmer `cat' (hh_inhet_land = pred_share_i), gmin(-0.10) gmax(0.10)  grid(5) level(0.95) vce(robust) graph(hh_inhet_land) ;



 local cat _Isibs_1-_Isibs_14  fam_land_dummies1-fam_land_dummies7;

local xvar  i.sibs i.distfx i.fam_land_dummies;



plausexog uci logcons `cat' (hh_inhet_land = pred_share_i), gmin(-0.10) gmax(0.10)  grid(5) level(0.95) vce(robust) graph(hh_inhet_land) 

plausexog ltz logcons  `cat' (hh_inhet_land = pred_share_i),  mu(0) omega(0.01) graph(hh_inhet_land) graphmu(0 0 0 0 0 0) graphomega(0 0.0001 0.0004 0.0009 0.0016 0.0025) graphdelta(0 0.01 0.02 0.03 0.04 0.05) 





* using anf's code; 


gen nonfarmer_beta_hi = . ; 
gen nonfarmer_beta_lo = . ; 

gen logcons_beta_hi = . ; 
gen logcons_beta_lo = . ; 

gen gamma = . ;


local j = 1; 

foreach i of numlist 0(.005)0.2 {; 


gen nonfarmer_`j'_1 = nonfarmer + `i'*pred_share_i; 

xi: ivreg nonfarmer_`j'_1 (hh_inhet_land = pred_share_i) i.sibs i.distfx i.fam_land_dummies, r;
replace nonfarmer_beta_hi = _b[hh_inhet_land]+1.96*_se[hh_inhet_land] in `j';

gen nonfarmer_`j'_2 = nonfarmer - `i'*pred_share_i; 

xi: ivreg nonfarmer_`j'_2 (hh_inhet_land = pred_share_i) i.sibs i.distfx i.fam_land_dummies, r;
replace nonfarmer_beta_lo =  _b[hh_inhet_land]-1.96*_se[hh_inhet_land] in `j'; 

gen logcons_`j'_1 = logcons - `i'*pred_share_i; 

xi: ivreg logcons_`j'_1 (hh_inhet_land = pred_share_i) i.sibs i.distfx i.fam_land_dummies, r;
replace logcons_beta_hi = _b[hh_inhet_land]-1.96*_se[hh_inhet_land] in `j'; 

gen logcons_`j'_2 = logcons + `i'*pred_share_i; 

xi: ivreg logcons_`j'_2 (hh_inhet_land = pred_share_i) i.sibs i.distfx i.fam_land_dummies, r;
replace logcons_beta_lo =  _b[hh_inhet_land]+1.96*_se[hh_inhet_land] in `j'; 


replace gamma = `i' in `j';

local j = `j' + 1; 
   
};


twoway (line nonfarmer_beta_hi gamma) (line nonfarmer_beta_lo gamma) ;



