//this dofile produces online appendix 8

clear 
clear matrix
set memory 700m
set more off
set matsize 1000
# delimit;

pwd;
cd "`c(pwd)'"; 

use ../../Public99/hhecon/dta/ar99_meta.dta, clear; 

** restrict to hindus;

keep if q10 == 1;



** drop women (n = 484) ; 

keep if sex == 1; 




** restrict to individuals whose family had land ; 

keep if fam_land_owner == 1;






winsor spacing, p(0.01) gen(spacing_win) ;




*generating sumstats;
mat t=J(100,40,.);

cap program drop line;
program define line;
syntax varlist, row(string) [absorb(passthru)];

	sum `varlist' ;
	mat t[`row',1]=r(mean);
	mat t[`row'+1,1]=r(sd);
	mat t[`row'+2,1]=r(N);

	
	reg `varlist' pred_share_i i.distfx i.fam_land_dummies 
	
	if  sibs == 2 , robust;
	
	mat t[`row',3]=_b[pred_share_i];
	mat t[`row'+1,3]=_se[pred_share_i];
	mat t[`row'+3,3] =e(N);
	

	
	reg `varlist' pred_share_i  i.distfx i.fam_land_dummies 

	if  sibs == 3 , robust;
	
	mat t[`row',5]=_b[pred_share_i];
	mat t[`row'+1,5]=_se[pred_share_i];
	mat t[`row'+3,5] =e(N);

	reg `varlist' pred_share_i  i.distfx i.fam_land_dummies 
	
	if  sibs == 4 , robust;
	
	mat t[`row',7]=_b[pred_share_i];
	mat t[`row'+1,7]=_se[pred_share_i];
	mat t[`row'+3,7] =e(N);
	

	
	reg `varlist' pred_share_i  i.distfx i.fam_land_dummies 
	
	if  sibs == 5  , robust;  
	
	mat t[`row',9]=_b[pred_share_i];
	mat t[`row'+1,9]=_se[pred_share_i];
	mat t[`row'+3,9] =e(N);
	
	
	reg `varlist' pred_share_i i.sibs i.distfx i.fam_land_dummies 
	
	, robust; 
	
	mat t[`row',11]=_b[pred_share_i];
	mat t[`row'+1,11]=_se[pred_share_i];
	mat t[`row'+3,11] =e(N);
	

	
end;

//varnames & varlabel for sumstats

gen varnames="";
gen varlabs="";


local j=1; 

foreach x of varlist age  dads_educ moms_educ  dad_farmer  
   log_own_dowry_rec agehead_w agemarriage_w birthorder_t   spacing firstborn  spacing_win  {;


	line `x', row(`j');
	replace varnames = "`x'" in `j';
	local varlab: variable label `x';
	replace varlabs = "`varlab'" in `j';  
	local j = `j'+5;

};

lazystar, table(t) columns(1(2)29) coefs(30) rowgap(5) outsheet(../out/c1_final);


