//this dofile produces online appendix 9


clear 
clear matrix
set memory 700m
set more off
set matsize 1000
# delimit;


pwd;
cd "`c(pwd)'"; 


use ../../Public99/hhecon/dta/ar99_meta.dta, clear; 


** restrict to hindus ;


keep if q10 == 1;



** drop women (n = 484) ; 

keep if sex == 1; 





** restrict to individuals whose family had land ; 

keep if fam_land_owner == 1;





** run standard specifications; 

mat t=J(1000,100,.);

cap program drop line;
program define line;
syntax varlist, row(string) [absorb(passthru)];

   cap drop hh_inhet_land_firstborn; 
   gen hh_inhet_land_firstborn = hh_inhet_land*firstborn;
   
   cap drop pred_share_i_firstborn;
   gen pred_share_i_firstborn = pred_share_i*firstborn;
   
   cap drop pred_land_l_firstborn;
   gen pred_land_l_firstborn = pred_land_l*firstborn;
   

	xi: ivreg2  `varlist' (hh_inhet_land = bro_inhet)
	
	i.sibs i.distfx i.fam_land_dummies

	
     , robust;

	mat t[`row',1]=_b[hh_inhet_land];
	mat t[`row'+1,1]=_se[hh_inhet_land];
	mat t[`row'+11,1] =e(N);
	
	mat t[`row'+9,1] = e(widstat); 
	sum `varlist'; 
	mat t[`row'+10,1] = `r(mean)';  



	xi: ivreg2  `varlist' (hh_inhet_land = pred_share_i)
	
	i.sibs i.distfx  i.fam_land_dummies
	
	
 , robust;

	mat t[`row',3]=_b[hh_inhet_land];
	mat t[`row'+1,3]=_se[hh_inhet_land];
	mat t[`row'+11,3] =e(N);
	
	mat t[`row'+9,3] = e(widstat); 
	sum `varlist'; 
	mat t[`row'+10,3] = `r(mean)';  
	
	
	
	
	xi: ivreg2  `varlist' (hh_inhet_land = pred_land_i)
	
	i.sibs i.distfx i.fam_land_dummies

	
     , robust;

	mat t[`row',5]=_b[hh_inhet_land];
	mat t[`row'+1,5]=_se[hh_inhet_land];
	mat t[`row'+11,5] =e(N);
	
	mat t[`row'+9,5] = e(widstat); 
	sum `varlist'; 
	mat t[`row'+10,5] = `r(mean)';  
	
	
	xi: ivreg2  `varlist' (hh_inhet_land = pred_land_lg)
	
	i.sibs i.distfx i.fam_land_dummies

	
     , robust;

	mat t[`row',7]=_b[hh_inhet_land];
	mat t[`row'+1,7]=_se[hh_inhet_land];
	mat t[`row'+11,7] =e(N);
	
	mat t[`row'+9,7] = e(widstat); 
	sum `varlist'; 
	mat t[`row'+10,7] = `r(mean)';  
	
	
	
	
	xi: ivreg2  `varlist' (hh_inhet_land = i.bro_inhet)
	
	i.sibs i.distfx i.fam_land_dummies

	
     , robust;

	mat t[`row',9]=_b[hh_inhet_land];
	mat t[`row'+1,9]=_se[hh_inhet_land];
	mat t[`row'+11,9] =e(N);
	
	mat t[`row'+9,9] = e(widstat); 
	sum `varlist'; 
	mat t[`row'+10,9] = `r(mean)';  




end;



gen varnames="";
gen varlabs="";


local j=1; 

foreach x of varlist nonfarmer logcons   {;



	line `x', row(`j');
	replace varnames = "`x'" in `j';
	local varlab: variable label `x';
	replace varlabs = "`varlab'" in `j';  
	local j = `j'+15;

};

lazystar, table(t) columns(1(2)51) coefs(50) rowgap(3) outsheet(../out/c2_final);

