//this dofile produces figure 2


clear 
clear matrix
set memory 700m
set more off
set matsize 1000
# delimit;


pwd;
cd "`c(pwd)'"; 


use ../../Public99/hhecon/dta/ar99_meta.dta, clear; 



** restrict to hindus; 

keep if q10 == 1 ;

** drop women (n = 484) ; 

keep if sex == 1; 


** restrict to individuals whose family had land ; 

keep if fam_land_owner == 1;


** changes in land ;

gen land_changez = hh_end_rp_land - hh_inhet_land;


gen land_changez_adj = land_changez;
replace land_changez_adj = 10 if land_changez >= 10; 
replace land_changez_adj = - 10 if land_changez <= -10 ;





** panel a; 

hist hh_inhet_land if hh_inhet_land <= 50, percent width(1) color(red)  lcolor(black)  lwidth(thin) caption(n = 4798 - less than 50 acres)   title(Panel A: Distribution of Inherited Land, size(medium) justification(center)) 
xtitle("Acres") ;



** panel b; 

hist land_changez_adj , percent width(1) color(red)  lcolor(black)  lwidth(thin) caption(n = 4809)   title(Panel B: Change in Landholdings (Acres), size(medium) justification(center)) 
xtitle("Current minus Inherited Landholdings (Acres)", size(small)) ;




