//this dofile produces figure 3

clear 
clear matrix
set memory 700m
set more off
set matsize 1000
# delimit;


pwd;
cd "`c(pwd)'"; 




use ../../Public99/hhecon/dta/ar99_meta.dta, clear; 


** hindus only; 

keep if q10 == 1; 

** men only; 

keep if sex == 1; 

** only parents who owned land;
keep if fam_land_owner == 1; 



gen pred_share_z = 1/(1+bro_inhet);

tab pred_share_z, gen(pred_share_);

** note, if you take out i.'s it becomes just the mean thing we did above;





** PANEL A: OCCUPATIONAL CHOICE ;

twoway (lpolyci nonfarmer pred_land_i, lcolor (black) xtitle("Predicted Land Inheritance (Acres)") ytitle(" Non-Ag Occupation (Binary)") title("Panel A: Non-Parametric Reduced Form for Occupational Choice",size(medsmall) position(12))
caption("Sample: n = 4,361" ) legend(off)) if pred_land_i >= 0 & pred_land_i <= 10;



** PANEL C: HOUSEHOLD CONSUMPTION; 


twoway (lpolyci logcons pred_land_i, lcolor (black) xtitle("Predicted Land Inheritance (Acres)") ytitle("Log (Rupees)") title("Panel B: Non-Parametric Reduced Form" "for Household Consumption",size(medsmall) position(12))
caption("Sample: n = 4,361" ) legend(off)) if pred_land_i >= 0 & pred_land_i <= 10 ;






** PANEL B: MIGRATION ;


use ../../Public99/hhecon/dta/ar99_sibs.dta, clear; 


** hindus only; 

keep if religion == 1; 

** men only; 

keep if sex == 1; 



** only parents who owned land;
keep if fam_land_owner == 1; 


** restrict to inhet sibs; 

keep if age > 10 | death_age > 10; 


twoway (lpolyci urb_mig pred_land_i, lcolor (black) xtitle("Predicted Land Inheritance (Acres)") ytitle("Probability of Migration") title("Panel C: Non-Parametric Reduced Form for Migration",size(small) position(12))
caption("Sample: n = 13,753" ) legend(off)) if pred_land_i >= 0 & pred_land_i <= 10;


