//this dofile produces table 1 

clear 
clear matrix
set memory 700m
set more off
set matsize 1000
# delimit;

pwd;
cd "`c(pwd)'"; 



** HEAD-LEVEL DATA ; 

use ../../Public99/hhecon/dta/ar99_meta.dta, clear; 

** restrict to hindus;

keep if q10 == 1;


** drop women (n = 484) ; 

keep if sex == 1; 



** land binary variables; 

gen inhet_bin  = (hh_inhet_land > 0 & hh_inhet_land !=. );
gen cur_bin = (hh_end_rp_land > 0 & hh_end_rp_land !=. );


*generating sumstats;
mat zzz=J(100,40,.);

cap program drop line;
program define line;
syntax varlist, row(string) [absorb(passthru)];

	sum `varlist', det ;
	mat zzz[`row',1]=r(mean);
	mat zzz[`row',2]=r(sd);

end;

//varnames & varlabel for sumstats

gen varnames="";
gen varlabs="";


local j=1; 

foreach x of varlist age sex educ fam_land_owner cur_bin d1_n17 nonfarmer yrlycons inhet_years father_alive  loan  bro_inhet sibs pred_share_i firstborn  hh_inhet_land hh_end_rp_land  {;


	line `x', row(`j');
	replace varnames = "`x'" in `j';
	local varlab: variable label `x';
	replace varlabs = "`varlab'" in `j';  
	local j = `j'+2;

};

svmat zzz; 
gen zzzcount = .; 
replace zzzcount = _N in 1; 
outsheet varnames  varlab zzz1 zzz2  zzzcount using ../out/t1_1.csv, comma replace; 

*/




** SIBLING LEVEL DATA;


use ../../Public99/hhecon/dta/ar99_sibs.dta, clear; 


** restrict to hindus & muslims; 

keep if religion == 1 ;

** drop women;

keep if sex == 1; 




** restrict to inhet sibs; 

keep if age > 10 | death_age > 10; 


* binary vairables; 


gen inhet_bin = (inhet_land_w > 0 & inhet_land_w != . ); 
gen cur_bin = (cur_land_w > 0 & cur_land_w != . ) ;


*generating sumstats;
mat zzz=J(100,40,.);

cap program drop line;
program define line;
syntax varlist, row(string) [absorb(passthru)];

	sum `varlist' ;
	mat zzz[`row',1]=r(mean);
	mat zzz[`row',2]=r(sd);


end;

//varnames & varlabel for sumstats

gen varnames="";
gen varlabs="";


local j=1; 


foreach x of varlist age sex educ_w fam_land_owner cur_bin hhsize_w urb_mig
       {;

	line `x', row(`j');
	replace varnames = "`x'" in `j';
	local varlab: variable label `x';
	replace varlabs = "`varlab'" in `j';  
	local j = `j'+2;

};


svmat zzz; 
gen zzzcount = .; 
replace zzzcount = _N in 1; 
outsheet varnames  varlab zzz1 zzz2  zzzcount using ../out/t1_2.csv, comma replace; 



