//this dofile produces table 2 

clear 
clear matrix
set memory 700m
set more off
set matsize 1000
# delimit;


pwd;
cd "`c(pwd)'"; 


use ../../Public99/hhecon/dta/ar99_meta.dta, clear; 


** restrict to hindus & muslims; 

keep if q10 == 1;


** drop women (n = 484) ; 

keep if sex == 1; 



** restrict to individuals whose family had land ; 

keep if fam_land_owner == 1;




*generating sumstats;
mat t=J(500,40,.);

cap program drop line;
program define line;
syntax varlist, row(string) [absorb(passthru)];

	reg `varlist' bro_inhet i.distfx i.fam_land_dummies i.sibs
	, robust;
	
	mat t[`row',1]=_b[bro_inhet];
	mat t[`row'+1,1]=_se[bro_inhet];
	
	sum `varlist' ; 
	mat t[`row'+15,1] = `r(mean)';
	
	testparm bro_inhet; 
	mat t[`row'+16,1] =`r(F)';

	mat t[`row'+17,1] =e(N);
	
	
	reg `varlist' pred_share_i  i.distfx i.fam_land_dummies i.sibs
    , robust;
	
	mat t[`row',3]=_b[pred_share_i];
	mat t[`row'+1,3]=_se[pred_share_i];
	
	sum `varlist' ; 
	mat t[`row'+15,3] = `r(mean)';
	
	testparm pred_share_i; 
	mat t[`row'+16,3] =`r(F)';

	mat t[`row'+17,3] =e(N);




	reg `varlist' pred_land_i  i.distfx i.fam_land_dummies i.sibs
	
    , robust;
	
	mat t[`row',5]=_b[pred_land_i];
	mat t[`row'+1,5]=_se[pred_land_i];
	mat t[`row'+3,5] =e(N);
	
	sum `varlist' ; 
	mat t[`row'+15,5] = `r(mean)';
	
	testparm pred_land_i; 
	mat t[`row'+16,5] =`r(F)';

	mat t[`row'+17,5] =e(N);
	
	
	reg `varlist' pred_land_lg  i.distfx i.fam_land_dummies i.sibs
	
    , robust;
	
	mat t[`row',7]=_b[pred_land_lg];
	mat t[`row'+1,7]=_se[pred_land_lg];
	mat t[`row'+3,7] =e(N);
	
	sum `varlist' ; 
	mat t[`row'+15,7] = `r(mean)';
	
	testparm pred_land_lg; 
	mat t[`row'+16,7] =`r(F)';

	mat t[`row'+17,7] =e(N);


	

	reg `varlist' bro_inhet_1 bro_inhet_2 bro_inhet_3 bro_inhet_4 bro_inhet_5
	bro_inhet_6 bro_inhet_7 bro_inhet_8   i.distfx i.fam_land_dummies i.sibs
	, robust;  
	
	mat t[`row',9]=_b[bro_inhet_1];
	mat t[`row'+1,9]=_se[bro_inhet_1];
	
	mat t[`row'+3,9]=_b[bro_inhet_2];
	mat t[`row'+4,9]=_se[bro_inhet_2];
	
	
    mat t[`row'+6,9]=_b[bro_inhet_3];
	mat t[`row'+7,9]=_se[bro_inhet_3];
	
	mat t[`row'+9,9]=_b[bro_inhet_4];
	mat t[`row'+10,9]=_se[bro_inhet_4];
	
	mat t[`row'+12,9]=_b[bro_inhet_5];
	mat t[`row'+13,9]=_se[bro_inhet_5];
	
	
	sum `varlist' ; 
	mat t[`row'+15,9] = `r(mean)';
	
	testparm bro_inhet*; 
	mat t[`row'+16,9] =`r(F)';

	mat t[`row'+17,9] =e(N);

	
	
	
end;



//varnames & varlabel for sumstats

gen varnames="";
gen varlabs="";


local j=1; 

foreach x of varlist nonfarmer logcons hh_inhet_land  {;


	line `x', row(`j');
	replace varnames = "`x'" in `j';
	local varlab: variable label `x';
	replace varlabs = "`varlab'" in `j';  
	local j = `j'+21;

};

lazystar, table(t) columns(1(2)29) coefs(30) rowgap(3) outsheet(../out/t2_final);

