//this dofile produces table 5 (household head level results) 

clear 
clear matrix
set memory 700m
set more off
set matsize 1000
# delimit;


pwd;
cd "`c(pwd)'"; 


use ../../Public99/hhecon/dta/ar99_meta.dta, clear; 


** restrict to hindus;

keep if q10 == 1 ;


** drop women (n = 484) ; 

keep if sex == 1; 



** latter born dummy; 

gen latterborn = (firstborn == 0); 


** run standard specifications; 

mat t=J(1000,40,.);

cap program drop line;
program define line;
syntax varlist, col(string) [absorb(passthru)];


  cap drop hh_inhet_land_latterborn; 
   gen hh_inhet_land_latterborn = hh_inhet_land*latterborn;
   
   cap drop pred_share_i_latterborn;
   gen pred_share_i_latterborn = pred_share_i*latterborn;

    cap drop hh_inhet_land_firstborn; 
   gen hh_inhet_land_firstborn = hh_inhet_land*firstborn;
   
   cap drop pred_share_i_firstborn;
   gen pred_share_i_firstborn = pred_share_i*firstborn;
   
   

	xi: ivreg2  `varlist' ( hh_inhet_land_firstborn hh_inhet_land_latterborn  = pred_share_i_firstborn pred_share_i_latterborn ) firstborn
	
	 net_dowry_al  spacing_win dads_educ moms_educ educ

	
    i.sibs i.distfx i.fam_land_dummies i.agedummies
    
	
   if fam_land_owner == 1 , robust;
	
	mat t[1,`col']=_b[firstborn];
	mat t[2,`col']=_se[firstborn];
	
	mat t[4,`col']=_b[hh_inhet_land_firstborn];
	mat t[5,`col']=_se[hh_inhet_land_firstborn];
	
	mat t[7,`col']=_b[hh_inhet_land_latterborn];
	mat t[8,`col']=_se[hh_inhet_land_latterborn];
	
	
	mat t[12,`col'] = e(widstat); 

	mat t[13,`col'] =e(N);

	
	sum `varlist' if fam_land_owner == 1; 
	mat t[10,`col'] = `r(mean)';
	
	

    
    
    
	xi: reg  `varlist'  pred_share_i_firstborn pred_share_i_latterborn firstborn
	
    i.sibs i.distfx i.fam_land_dummies i.agedummies
    
    	 net_dowry_al  spacing_win dads_educ moms_educ educ
    	 
    	 


  
	
   if fam_land_owner == 0 , robust;

	mat t[31,`col']=_b[firstborn];
	mat t[32,`col']=_se[firstborn];
	
	mat t[34,`col']=_b[pred_share_i_firstborn];
	mat t[35,`col']=_se[pred_share_i_firstborn];
	
	mat t[37,`col']=_b[pred_share_i_latterborn];
	mat t[38,`col']=_se[pred_share_i_latterborn];
	
	mat t[42,`col'] = e(widstat); 

	
	sum `varlist' if fam_land_owner == 0;
	mat t[40,`col'] = `r(mean)';
    mat t[43,`col'] =e(N);
    
    
    
    


end;


gen varnames="";
gen varlabs="";


local j=1; 

foreach x of varlist nonfarmer    

tot_farm_headlab_mandays_w   log_li_labor_val 

   logcons

 logloans


{;

	line `x', col(`j');
	replace varnames = "`x'" in `j';
	local varlab: variable label `x';
	replace varlabs = "`varlab'" in `j';  
	local j = `j'+2;

};

lazystar, table(t) columns(1(2)29) coefs(100) rowgap(3) outsheet(../out/t5_1_final);



